Subject: Re: circular locking, mirred, 2.6.24.2

From: jamal <[email-masked]>
Date: Thu, 06 Mar 2008 19:25:00 -0500

On Fri, 2008-07-03 at 02:15 +0200, Denys Fedoryshchenko wrote:
> I just start to using lockdep on servers with shaper over ifb from 2.6.24. So 
> it is triggering from 2.6.24 till latest 2.6.25-rc4. If you want - i can 
> build some specific old version of kernel with lockdep.

I think i should be able to try with your .config first with the latest
git. I should be able to at least see the traces.

I am just going to compile some things into the kernel, example:

---
CONFIG_IFB=m
CONFIG_DUMMY=m
CONFIG_BONDING=m
CONFIG_MACVLAN=m
CONFIG_EQUALIZER=m
CONFIG_TUN=m
----

Can you try that as well? Then if it doesnt happen with me, we'll narrow it to need for
smp.

cheers,
jamal